<template lang="pug">
container
	.bg.img.is-flex
		img( v-lazy='require("@/assets/img/sparks.webp")' )
	.columns.is-flex.is-multiline
		.column.is-6-widescreen.is-12-tablet.is-12-mobile
			.img.is-flex.column-container
				img( v-lazy='require("@/assets/img/blane.webp")' )
		.column.is-6-widescreen.is-12-tablet.is-12-mobile
			.column-container
				title-bar( :content='$t("page.home.burn.title")' )
				p {{ $t("page.home.burn.text") }}
				.list.is-flex.is-flex-direction-column.is-align-items-flex-start.is-justify-content-flex-start
					.list-item.is-flex.is-align-items-center.is-justify-content-flex-start( v-for='({ icon, text }, i) in list' :key='i' )
						.img
							component( :is='icon' )
						p {{ text }}
				p.simple.has-text-primary {{ $t("page.home.burn.simple") }}
</template>

<script>
export default {
	computed: {
		list() {
			return [
				{ icon: () => import("svg/burn_coin.svg") },
				{ icon: () => import("svg/percent_coin.svg") },
				{ icon: () => import("svg/burn_percent.svg") }
			].map((item, i) => ({ ...item, text: this.$t(`page.home.burn.list.${i}`) }))
		}
	}
}
</script>

<style lang="scss" scoped>

.bg {
	width: 23rem;
	position: absolute;
	top: -6rem;
	right: -8rem;
	@include max_tablet {
		top: 0;
	}
}

@include max_desktop {
	.columns {
		flex-direction: column-reverse;
	}
}

.column:last-of-type {
	.column-container {
		max-width: 568px;
	}
}

.img {
	max-width: 35.625rem;
	margin: 0 auto;
}

p {
	font-weight: 400;
}

.list {
	margin: 2rem 0;
	&-item {
		.img {
			min-width: 3.125rem;
			max-width: 3.125rem;
			margin-right: 1rem;
		}
		p {
			font-size: .875rem;
			@include max_tablet {
				font-size: .8125rem;
			}
		}
		&:not(:last-of-type) {
			margin-bottom: 1.5rem;
		}
	}
}

.simple {
	font-size: 1.3125rem;
	font-weight: 500;
	@include max_tablet {
		font-size: 1.125rem;
	}
}
</style>